/*
 *  Player - One Hell of a Robot Server
 *  Copyright (C) 2000
 *     Brian Gerkey, Kasper Stoy, Richard Vaughan, & Andrew Howard
 *                   
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/* 
 * robot_params.cc 
 *
 * ActivMedia robot parameters, automatically generated by saphconv.tcl from 
 * Saphira parameter files:
 *    /Users/gerkey/Desktop/params/params/amigo-sh.p
 *    /Users/gerkey/Desktop/params/params/amigo.p
 *    /Users/gerkey/Desktop/params/params/p2at.p
 *    /Users/gerkey/Desktop/params/params/p2at8+.p
 *    /Users/gerkey/Desktop/params/params/p2at8.p
 *    /Users/gerkey/Desktop/params/params/p2ce.p
 *    /Users/gerkey/Desktop/params/params/p2d8+.p
 *    /Users/gerkey/Desktop/params/params/p2d8.p
 *    /Users/gerkey/Desktop/params/params/p2de.p
 *    /Users/gerkey/Desktop/params/params/p2df.p
 *    /Users/gerkey/Desktop/params/params/p2dx.p
 *    /Users/gerkey/Desktop/params/params/p2it.p
 *    /Users/gerkey/Desktop/params/params/p2pb.p
 *    /Users/gerkey/Desktop/params/params/p2pp.p
 *    /Users/gerkey/Desktop/params/params/p3at-sh.p
 *    /Users/gerkey/Desktop/params/params/p3at.p
 *    /Users/gerkey/Desktop/params/params/p3atiw-sh.p
 *    /Users/gerkey/Desktop/params/params/p3dx-sh.p
 *    /Users/gerkey/Desktop/params/params/p3dx.p
 *    /Users/gerkey/Desktop/params/params/patrolbot-sh.p
 *    /Users/gerkey/Desktop/params/params/peoplebot-sh.p
 *    /Users/gerkey/Desktop/params/params/perfpb+.p
 *    /Users/gerkey/Desktop/params/params/perfpb.p
 *    /Users/gerkey/Desktop/params/params/pion1m.p
 *    /Users/gerkey/Desktop/params/params/pion1x.p
 *    /Users/gerkey/Desktop/params/params/pionat.p
 *    /Users/gerkey/Desktop/params/params/powerbot-sh.p
 *    /Users/gerkey/Desktop/params/params/powerbot.p
 *    /Users/gerkey/Desktop/params/params/psos1m.p
 *    /Users/gerkey/Desktop/params/params/psos1x.p
 *    /Users/gerkey/Desktop/params/params/psos43m.p
 *    /Users/gerkey/Desktop/params/params/wheelchair-sh.p
*/
#include "robot_params.h"


RobotParams_t amigo_sh_params = 
{
  0,
  0,
  0,
  0.001534,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.011,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  1,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "",
  "",
  0,
  1,
  0,
  0,
  0,
  0,
  "0",
  0,
  300,
  0,
  0,
  1000,
  0,
  0,
  0,
  0,
  5,
  5,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  120,
  330,
  160,
  170,
  180,
  279,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  8,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "amigo-sh",
  0,
  38400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  20,
  1,
  0,
  {
    { 70, 100, 90 },
    { 125, 75, 41 },
    { 144, 30, 15 },
    { 144, -30, -15 },
    { 120, -75, -41 },
    { 70, -100, -90 },
    { -146, -58, -145 },
    { -146, 58, 145 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t amigo_params = 
{
  0,
  0,
  0,
  0.001534,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.011,
  0,
  0.5083,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  1,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "",
  "",
  0,
  1,
  0,
  0,
  0,
  0,
  "0",
  0,
  300,
  0,
  0,
  1000,
  0,
  0,
  0,
  0,
  5,
  5,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  120,
  330,
  160,
  170,
  180,
  279,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  8,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "amigo",
  0,
  38400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  20,
  0.6154,
  0,
  {
    { 76, 100, 90 },
    { 125, 75, 41 },
    { 150, 30, 15 },
    { 150, -30, -15 },
    { 125, -75, -41 },
    { 76, -100, -90 },
    { -140, -58, -145 },
    { -140, 58, 145 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p2at_params = 
{
  0,
  0,
  0,
  0.001534,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.0034,
  0,
  1.32,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  1,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "",
  "COM3",
  0,
  1,
  0,
  160,
  7,
  0,
  "0",
  0,
  300,
  0,
  0,
  1200,
  0,
  0,
  0,
  0,
  5,
  5,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0.268,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  120,
  626,
  313,
  313,
  500,
  505,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  16,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "p2at",
  0,
  38400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  20,
  1,
  0,
  {
    { 147, 136, 90 },
    { 193, 119, 50 },
    { 227, 79, 30 },
    { 245, 27, 10 },
    { 245, -27, -10 },
    { 227, -79, -30 },
    { 193, -119, -50 },
    { 147, -136, -90 },
    { -144, -136, -90 },
    { -189, -119, -130 },
    { -223, -79, -150 },
    { -241, -27, -170 },
    { -241, 27, 170 },
    { -223, 79, 150 },
    { -189, 119, 130 },
    { -144, 136, 90 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p2at8plus_params = 
{
  0,
  0,
  0,
  0.001534,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.0034,
  0,
  0.465,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  1,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "",
  "COM3",
  0,
  1,
  0,
  160,
  7,
  0,
  "0",
  0,
  300,
  0,
  0,
  1200,
  0,
  0,
  0,
  0,
  5,
  5,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  120,
  626,
  313,
  313,
  500,
  505,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  16,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "p2at8+",
  0,
  38400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  20,
  1,
  0,
  {
    { 147, 136, 90 },
    { 193, 119, 50 },
    { 227, 79, 30 },
    { 245, 27, 10 },
    { 245, -27, -10 },
    { 227, -79, -30 },
    { 193, -119, -50 },
    { 147, -136, -90 },
    { -144, -136, -90 },
    { -189, -119, -130 },
    { -223, -79, -150 },
    { -241, -27, -170 },
    { -241, 27, 170 },
    { -223, 79, 150 },
    { -189, 119, 130 },
    { -144, 136, 90 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p2at8_params = 
{
  0,
  0,
  0,
  0.001534,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.0034,
  0,
  1.32,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  1,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "",
  "COM3",
  0,
  1,
  0,
  160,
  7,
  0,
  "0",
  0,
  300,
  0,
  0,
  1200,
  0,
  0,
  0,
  0,
  5,
  5,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  120,
  626,
  313,
  313,
  500,
  505,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  16,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "p2at8",
  0,
  38400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  20,
  1,
  0,
  {
    { 147, 136, 90 },
    { 193, 119, 50 },
    { 227, 79, 30 },
    { 245, 27, 10 },
    { 245, -27, -10 },
    { 227, -79, -30 },
    { 193, -119, -50 },
    { 147, -136, -90 },
    { -144, -136, -90 },
    { -189, -119, -130 },
    { -223, -79, -150 },
    { -241, -27, -170 },
    { -241, 27, 170 },
    { -223, 79, 150 },
    { -189, 119, 130 },
    { -144, 136, 90 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p2ce_params = 
{
  0,
  0,
  0,
  0.001534,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.0057,
  0,
  0.826,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  1,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "",
  "",
  0,
  1,
  0,
  0,
  0,
  0,
  "0",
  0,
  500,
  0,
  0,
  2200,
  0,
  0,
  0,
  0,
  5,
  5,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0.268,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  120,
  511,
  210,
  301,
  250,
  425,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  16,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "p2ce",
  0,
  38400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  20,
  1,
  0,
  {
    { 69, 136, 90 },
    { 114, 119, 50 },
    { 148, 78, 30 },
    { 166, 27, 10 },
    { 166, -27, -10 },
    { 148, -78, -30 },
    { 114, -119, -50 },
    { 69, -136, -90 },
    { -157, -136, -90 },
    { -203, -119, -130 },
    { -237, -78, -150 },
    { -255, -27, -170 },
    { -255, 27, 170 },
    { -237, 78, 150 },
    { -203, 119, 130 },
    { -157, 136, 90 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p2d8plus_params = 
{
  0,
  0,
  0,
  0.001534,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.0056,
  0,
  0.485,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  1,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "",
  "COM3",
  0,
  1,
  0,
  18,
  0,
  0,
  "0",
  0,
  500,
  0,
  0,
  2200,
  0,
  0,
  0,
  0,
  5,
  5,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  120,
  511,
  210,
  301,
  250,
  425,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  16,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "p2d8+",
  0,
  38400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  20,
  1,
  0,
  {
    { 69, 136, 90 },
    { 114, 119, 50 },
    { 148, 78, 30 },
    { 166, 27, 10 },
    { 166, -27, -10 },
    { 148, -78, -30 },
    { 114, -119, -50 },
    { 69, -136, -90 },
    { -157, -136, -90 },
    { -203, -119, -130 },
    { -237, -78, -150 },
    { -255, -27, -170 },
    { -255, 27, 170 },
    { -237, 78, 150 },
    { -203, 119, 130 },
    { -157, 136, 90 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p2d8_params = 
{
  0,
  0,
  0,
  0.001534,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.0056,
  0,
  0.485,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  1,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "",
  "COM3",
  0,
  1,
  0,
  18,
  0,
  0,
  "0",
  0,
  500,
  0,
  0,
  2200,
  0,
  0,
  0,
  0,
  5,
  5,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  120,
  511,
  210,
  301,
  250,
  425,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  16,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "p2d8",
  0,
  38400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  20,
  1,
  0,
  {
    { 69, 136, 90 },
    { 114, 119, 50 },
    { 148, 78, 30 },
    { 166, 27, 10 },
    { 166, -27, -10 },
    { 148, -78, -30 },
    { 114, -119, -50 },
    { 69, -136, -90 },
    { -157, -136, -90 },
    { -203, -119, -130 },
    { -237, -78, -150 },
    { -255, -27, -170 },
    { -255, 27, 170 },
    { -237, 78, 150 },
    { -203, 119, 130 },
    { -157, 136, 90 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p2de_params = 
{
  0,
  0,
  0,
  0.001534,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.0056,
  0,
  0.969,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  1,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "",
  "COM3",
  0,
  1,
  0,
  17,
  8,
  0,
  "0",
  0,
  500,
  0,
  0,
  2200,
  0,
  0,
  0,
  0,
  5,
  5,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0.268,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  120,
  511,
  210,
  301,
  250,
  425,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  16,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "p2de",
  0,
  38400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  20,
  1,
  0,
  {
    { 69, 136, 90 },
    { 114, 119, 50 },
    { 148, 78, 30 },
    { 166, 27, 10 },
    { 166, -27, -10 },
    { 148, -78, -30 },
    { 114, -119, -50 },
    { 69, -136, -90 },
    { -157, -136, -90 },
    { -203, -119, -130 },
    { -237, -78, -150 },
    { -255, -27, -170 },
    { -255, 27, 170 },
    { -237, 78, 150 },
    { -203, 119, 130 },
    { -157, 136, 90 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p2df_params = 
{
  0,
  0,
  0,
  0.001534,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.006,
  0,
  0.485,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  1,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "",
  "COM3",
  0,
  1,
  0,
  17,
  8,
  0,
  "0",
  0,
  500,
  0,
  0,
  2200,
  0,
  0,
  0,
  0,
  5,
  5,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0.268,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  120,
  511,
  210,
  301,
  250,
  425,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  16,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "p2df",
  0,
  38400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  20,
  1,
  0,
  {
    { 69, 136, 90 },
    { 114, 119, 50 },
    { 148, 78, 30 },
    { 166, 27, 10 },
    { 166, -27, -10 },
    { 148, -78, -30 },
    { 114, -119, -50 },
    { 69, -136, -90 },
    { -157, -136, -90 },
    { -203, -119, -130 },
    { -237, -78, -150 },
    { -255, -27, -170 },
    { -255, 27, 170 },
    { -237, 78, 150 },
    { -203, 119, 130 },
    { -157, 136, 90 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p2dx_params = 
{
  0,
  0,
  0,
  0.001534,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.0056,
  0,
  0.84,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  1,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "",
  "COM3",
  0,
  1,
  0,
  17,
  8,
  0,
  "0",
  0,
  500,
  0,
  0,
  2200,
  0,
  0,
  0,
  0,
  5,
  5,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0.268,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  120,
  511,
  210,
  301,
  250,
  425,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  16,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "p2dx",
  0,
  38400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  20,
  1,
  0,
  {
    { 69, 136, 90 },
    { 114, 119, 50 },
    { 148, 78, 30 },
    { 166, 27, 10 },
    { 166, -27, -10 },
    { 148, -78, -30 },
    { 114, -119, -50 },
    { 69, -136, -90 },
    { -157, -136, -90 },
    { -203, -119, -130 },
    { -237, -78, -150 },
    { -255, -27, -170 },
    { -255, 27, 170 },
    { -237, 78, 150 },
    { -203, 119, 130 },
    { -157, 136, 90 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p2it_params = 
{
  0,
  0,
  0,
  0.001534,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.0032,
  0,
  1.136,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  1,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "",
  "COM3",
  0,
  1,
  0,
  160,
  7,
  0,
  "0",
  0,
  300,
  0,
  0,
  1200,
  0,
  0,
  0,
  0,
  5,
  5,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0.268,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  120,
  626,
  313,
  313,
  500,
  505,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  16,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "p2it",
  0,
  38400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  20,
  1,
  0,
  {
    { 147, 136, 90 },
    { 193, 119, 50 },
    { 227, 79, 30 },
    { 245, 27, 10 },
    { 245, -27, -10 },
    { 227, -79, -30 },
    { 193, -119, -50 },
    { 147, -136, -90 },
    { -144, -136, -90 },
    { -189, -119, -130 },
    { -223, -79, -150 },
    { -241, -27, -170 },
    { -241, 27, 170 },
    { -223, 79, 150 },
    { -189, 119, 130 },
    { -144, 136, 90 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p2pb_params = 
{
  0,
  0,
  0,
  0.001534,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.0056,
  0,
  0.424,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  1,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "",
  "COM3",
  0,
  1,
  0,
  17,
  8,
  0,
  "0",
  0,
  500,
  0,
  0,
  2200,
  0,
  0,
  0,
  0,
  5,
  5,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0.268,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  120,
  513,
  0,
  0,
  300,
  425,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  24,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "p2pb",
  0,
  38400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  20,
  1,
  0,
  {
    { 69, 136, 90 },
    { 114, 119, 50 },
    { 148, 78, 30 },
    { 166, 27, 10 },
    { 166, -27, -10 },
    { 148, -78, -30 },
    { 114, -119, -50 },
    { 69, -136, -90 },
    { -20, 136, 90 },
    { 24, 119, 50 },
    { 58, 78, 30 },
    { 77, 27, 10 },
    { 77, -27, -10 },
    { 58, -78, -30 },
    { 24, -119, -50 },
    { -20, -136, -90 },
    { -157, -136, -90 },
    { -203, -119, -130 },
    { -237, -78, -150 },
    { -255, -27, -170 },
    { -255, 27, 170 },
    { -237, 78, 150 },
    { -203, 119, 130 },
    { -157, 136, 90 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p2pp_params = 
{
  0,
  0,
  0,
  0.001534,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.006,
  0,
  0.485,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  1,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "",
  "COM3",
  0,
  1,
  0,
  16,
  1,
  0,
  "0",
  0,
  500,
  0,
  0,
  2200,
  0,
  0,
  0,
  0,
  5,
  5,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0.268,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  120,
  513,
  0,
  0,
  300,
  425,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  24,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "p2pp",
  0,
  38400,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  20,
  1,
  0,
  {
    { 69, 136, 90 },
    { 114, 119, 50 },
    { 148, 78, 30 },
    { 166, 27, 10 },
    { 166, -27, -10 },
    { 148, -78, -30 },
    { 114, -119, -50 },
    { 69, -136, -90 },
    { -20, 136, 90 },
    { 24, 119, 50 },
    { 58, 78, 30 },
    { 77, 27, 10 },
    { 77, -27, -10 },
    { 58, -78, -30 },
    { 24, -119, -50 },
    { -20, -136, -90 },
    { -157, -136, -90 },
    { -203, -119, -130 },
    { -237, -78, -150 },
    { -255, -27, -170 },
    { -255, 27, 170 },
    { -237, 78, 150 },
    { -203, 119, 130 },
    { -157, 136, 90 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p3at_sh_params = 
{
  0,
  0,
  0,
  0.001534,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.0034,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  1,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "",
  "COM3",
  0,
  1,
  0,
  125,
  0,
  0,
  "0",
  0,
  300,
  0,
  0,
  1200,
  0,
  0,
  0,
  0,
  5,
  5,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  120,
  626,
  313,
  313,
  500,
  505,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  16,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "p3at-sh",
  0,
  38400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  20,
  1,
  0,
  {
    { 147, 136, 90 },
    { 193, 119, 50 },
    { 227, 79, 30 },
    { 245, 27, 10 },
    { 245, -27, -10 },
    { 227, -79, -30 },
    { 193, -119, -50 },
    { 147, -136, -90 },
    { -144, -136, -90 },
    { -189, -119, -130 },
    { -223, -79, -150 },
    { -241, -27, -170 },
    { -241, 27, 170 },
    { -223, 79, 150 },
    { -189, 119, 130 },
    { -144, 136, 90 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p3at_params = 
{
  0,
  0,
  0,
  0.001534,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.0034,
  0,
  0.465,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  1,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "",
  "COM3",
  0,
  1,
  0,
  160,
  0,
  0,
  "0",
  0,
  300,
  0,
  0,
  1200,
  0,
  0,
  0,
  0,
  5,
  5,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  120,
  626,
  313,
  313,
  500,
  505,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  16,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "p3at",
  0,
  38400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  20,
  1,
  0,
  {
    { 147, 136, 90 },
    { 193, 119, 50 },
    { 227, 79, 30 },
    { 245, 27, 10 },
    { 245, -27, -10 },
    { 227, -79, -30 },
    { 193, -119, -50 },
    { 147, -136, -90 },
    { -144, -136, -90 },
    { -189, -119, -130 },
    { -223, -79, -150 },
    { -241, -27, -170 },
    { -241, 27, 170 },
    { -223, 79, 150 },
    { -189, 119, 130 },
    { -144, 136, 90 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p3atiw_sh_params = 
{
  0,
  0,
  0,
  0.001534,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.0034,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  1,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "",
  "COM3",
  0,
  1,
  0,
  125,
  0,
  0,
  "0",
  0,
  300,
  0,
  0,
  1200,
  0,
  0,
  0,
  0,
  5,
  5,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  120,
  626,
  313,
  313,
  500,
  490,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  16,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "p3atiw-sh",
  0,
  38400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  20,
  1,
  0,
  {
    { 147, 136, 90 },
    { 193, 119, 50 },
    { 227, 79, 30 },
    { 245, 27, 10 },
    { 245, -27, -10 },
    { 227, -79, -30 },
    { 193, -119, -50 },
    { 147, -136, -90 },
    { -144, -136, -90 },
    { -189, -119, -130 },
    { -223, -79, -150 },
    { -241, -27, -170 },
    { -241, 27, 170 },
    { -223, 79, 150 },
    { -189, 119, 130 },
    { -144, 136, 90 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p3dx_sh_params = 
{
  0,
  0,
  0,
  0.001534,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.0056,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  1,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "",
  "COM3",
  0,
  1,
  0,
  18,
  0,
  0,
  "0",
  0,
  500,
  0,
  0,
  2200,
  0,
  0,
  0,
  0,
  5,
  5,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  120,
  511,
  210,
  301,
  250,
  425,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  16,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "p3dx-sh",
  0,
  38400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  20,
  1,
  0,
  {
    { 69, 136, 90 },
    { 114, 119, 50 },
    { 148, 78, 30 },
    { 166, 27, 10 },
    { 166, -27, -10 },
    { 148, -78, -30 },
    { 114, -119, -50 },
    { 69, -136, -90 },
    { -157, -136, -90 },
    { -203, -119, -130 },
    { -237, -78, -150 },
    { -255, -27, -170 },
    { -255, 27, 170 },
    { -237, 78, 150 },
    { -203, 119, 130 },
    { -157, 136, 90 },
  },
  {
    { 0.14, -0.181, 308, 0.098, 0 },
    { 0.196, -0.099, 341, 0.098, 0 },
    { 0.212, 0, 0, 0.098, 0 },
    { 0.196, 0.099, 19, 0.098, 0 },
    { 0.14, 0.181, 52, 0.098, 0 },
    { -0.203, 0.17, 116, 0.098, 0 },
    { -0.275, 0.098, 155.5, 0.098, 0 },
    { -0.2985, 0, 0, 0.098, 0 },
    { -0.275, -0.098, 204.5, 0.098, 0 },
    { -0.203, -0.17, 244, 0.098, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t p3dx_params = 
{
  0,
  0,
  0,
  0.001534,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.0056,
  0,
  0.485,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  1,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "",
  "COM3",
  0,
  1,
  0,
  18,
  0,
  0,
  "0",
  0,
  500,
  0,
  0,
  2200,
  0,
  0,
  0,
  0,
  5,
  5,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  120,
  511,
  210,
  301,
  250,
  425,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  16,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "p3dx",
  0,
  38400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  20,
  1,
  0,
  {
    { 69, 136, 90 },
    { 114, 119, 50 },
    { 148, 78, 30 },
    { 166, 27, 10 },
    { 166, -27, -10 },
    { 148, -78, -30 },
    { 114, -119, -50 },
    { 69, -136, -90 },
    { -157, -136, -90 },
    { -203, -119, -130 },
    { -237, -78, -150 },
    { -255, -27, -170 },
    { -255, 27, 170 },
    { -237, 78, 150 },
    { -203, 119, 130 },
    { -157, 136, 90 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t patrolbot_sh_params = 
{
  0,
  0,
  0,
  0.001534,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.0056,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  1,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  "73",
  "COM3",
  0,
  1,
  0,
  37,
  0,
  0,
  "0",
  0,
  500,
  0,
  0,
  2200,
  0,
  0,
  0,
  0,
  6,
  6,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  120,
  510,
  255,
  255,
  250,
  425,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  16,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "patrolbot-sh",
  0,
  38400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  20,
  1,
  0,
  {
    { 83, 229, 90 },
    { 169, 202, 55 },
    { 232, 134, 30 },
    { 263, 46, 10 },
    { 263, -46, -10 },
    { 232, -134, -30 },
    { 169, -202, -55 },
    { 83, -229, -90 },
    { -83, -229, -90 },
    { -169, -202, -125 },
    { -232, -134, -150 },
    { -263, -46, -170 },
    { -263, 46, 170 },
    { -232, 134, 150 },
    { -169, 202, 125 },
    { -83, 229, 90 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t peoplebot_sh_params = 
{
  0,
  0,
  0,
  0.001534,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.006,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  1,
  0,
  0,
  0,
  0,
  1,
  4,
  3,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "",
  "COM3",
  0,
  1,
  0,
  21,
  0,
  0,
  "0",
  0,
  500,
  0,
  0,
  2200,
  0,
  1,
  0,
  0,
  5,
  5,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  120,
  513,
  0,
  0,
  340,
  425,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  32,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "peoplebot-sh",
  0,
  38400,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  20,
  1,
  0,
  {
    { 69, 136, 90 },
    { 114, 119, 50 },
    { 148, 78, 30 },
    { 166, 27, 10 },
    { 166, -27, -10 },
    { 148, -78, -30 },
    { 114, -119, -50 },
    { 69, -136, -90 },
    { -157, -136, -90 },
    { -203, -119, -130 },
    { -237, -78, -150 },
    { -255, -27, -170 },
    { -255, 27, 170 },
    { -237, 78, 150 },
    { -203, 119, 130 },
    { -157, 136, 90 },
    { -20, 136, 90 },
    { 24, 119, 50 },
    { 58, 78, 30 },
    { 77, 27, 10 },
    { 77, -27, -10 },
    { 58, -78, -30 },
    { 24, -119, -50 },
    { -20, -136, -90 },
    { -191, -136, -90 },
    { -237, -119, -130 },
    { -271, -78, -150 },
    { -290, -27, -170 },
    { -290, 27, 170 },
    { -271, 78, 150 },
    { -237, 119, 130 },
    { -191, 136, 90 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t perfpbplus_params = 
{
  0,
  0,
  0,
  0.001534,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.006,
  0,
  0.485,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  1,
  0,
  0,
  0,
  0,
  1,
  4,
  3,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "",
  "COM3",
  0,
  1,
  0,
  21,
  0,
  0,
  "0",
  0,
  500,
  0,
  0,
  2200,
  0,
  1,
  0,
  0,
  5,
  5,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  120,
  511,
  210,
  301,
  340,
  425,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  32,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "perfpb+",
  0,
  38400,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  20,
  1,
  0,
  {
    { 69, 136, 90 },
    { 114, 119, 50 },
    { 148, 78, 30 },
    { 166, 27, 10 },
    { 166, -27, -10 },
    { 148, -78, -30 },
    { 114, -119, -50 },
    { 69, -136, -90 },
    { -20, 136, 90 },
    { 24, 119, 50 },
    { 58, 78, 30 },
    { 77, 27, 10 },
    { 77, -27, -10 },
    { 58, -78, -30 },
    { 24, -119, -50 },
    { -20, -136, -90 },
    { -157, -136, -90 },
    { -203, -119, -130 },
    { -237, -78, -150 },
    { -255, -27, -170 },
    { -255, 27, 170 },
    { -237, 78, 150 },
    { -203, 119, 130 },
    { -157, 136, 90 },
    { -191, -136, -90 },
    { -237, -119, -130 },
    { -271, -78, -150 },
    { -290, -27, -170 },
    { -290, 27, 170 },
    { -271, 78, 150 },
    { -237, 119, 130 },
    { -191, 136, 90 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t perfpb_params = 
{
  0,
  0,
  0,
  0.001534,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.006,
  0,
  0.485,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  1,
  0,
  0,
  0,
  0,
  1,
  4,
  3,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "",
  "COM3",
  0,
  1,
  0,
  21,
  0,
  0,
  "0",
  0,
  500,
  0,
  0,
  2200,
  0,
  1,
  0,
  0,
  5,
  5,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  120,
  513,
  0,
  0,
  340,
  425,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  32,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "perfpb",
  0,
  38400,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  20,
  1,
  0,
  {
    { 69, 136, 90 },
    { 114, 119, 50 },
    { 148, 78, 30 },
    { 166, 27, 10 },
    { 166, -27, -10 },
    { 148, -78, -30 },
    { 114, -119, -50 },
    { 69, -136, -90 },
    { -20, 136, 90 },
    { 24, 119, 50 },
    { 58, 78, 30 },
    { 77, 27, 10 },
    { 77, -27, -10 },
    { 58, -78, -30 },
    { 24, -119, -50 },
    { -20, -136, -90 },
    { -157, -136, -90 },
    { -203, -119, -130 },
    { -237, -78, -150 },
    { -255, -27, -170 },
    { -255, 27, 170 },
    { -237, 78, 150 },
    { -203, 119, 130 },
    { -157, 136, 90 },
    { -191, -136, -90 },
    { -237, -119, -130 },
    { -271, -78, -150 },
    { -290, -27, -170 },
    { -290, 27, 170 },
    { -271, 78, 150 },
    { -237, 119, 130 },
    { -191, 136, 90 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t pion1m_params = 
{
  0,
  0,
  0,
  0.0061359,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.00333333,
  0,
  0.05066,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "",
  "",
  0,
  1,
  0,
  0,
  0,
  0,
  "0",
  0,
  100,
  0,
  0,
  400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0.1734,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  90,
  500,
  0,
  0,
  220,
  400,
  0,
  0,
  100,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  7,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "pion1m",
  0,
  0,
  0,
  0,
  0,
  400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  4,
  2.5332,
  0,
  {
    { 100, 100, 90 },
    { 120, 80, 30 },
    { 130, 40, 15 },
    { 130, 0, 0 },
    { 130, -40, -15 },
    { 120, -80, -30 },
    { 100, -100, -90 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t pion1x_params = 
{
  0,
  0,
  0,
  0.0061359,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.00333333,
  0,
  0.05066,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "",
  "",
  0,
  1,
  0,
  0,
  0,
  0,
  "0",
  0,
  100,
  0,
  0,
  400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0.1734,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  90,
  500,
  0,
  0,
  220,
  400,
  0,
  0,
  100,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  7,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "pion1x",
  0,
  0,
  0,
  0,
  0,
  400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  4,
  2.5332,
  0,
  {
    { 100, 100, 90 },
    { 120, 80, 30 },
    { 130, 40, 15 },
    { 130, 0, 0 },
    { 130, -40, -15 },
    { 120, -80, -30 },
    { 100, -100, -90 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t pionat_params = 
{
  0,
  0,
  0,
  0.0061359,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.00333333,
  0,
  0.07,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "",
  "",
  0,
  1,
  0,
  0,
  0,
  0,
  "0",
  0,
  100,
  0,
  0,
  500,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0.1734,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  120,
  500,
  0,
  0,
  330,
  400,
  0,
  0,
  100,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  7,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "pionat",
  0,
  0,
  0,
  0,
  0,
  400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  4,
  2.5332,
  0,
  {
    { 100, 100, 90 },
    { 120, 80, 30 },
    { 130, 40, 15 },
    { 130, 0, 0 },
    { 130, -40, -15 },
    { 120, -80, -30 },
    { 100, -100, -90 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t powerbot_sh_params = 
{
  0,
  0,
  0,
  0.001534,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.00373,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  1,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  "",
  "COM2",
  0,
  1,
  0,
  251,
  0,
  0,
  "0",
  0,
  360,
  0,
  0,
  2000,
  0,
  0,
  0,
  0,
  7,
  5,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  240,
  911,
  369,
  542,
  550,
  680,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  32,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "powerbot-sh",
  0,
  38400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  20,
  1,
  0,
  {
    { 152, 278, 90 },
    { 200, 267, 65 },
    { 241, 238, 45 },
    { 274, 200, 35 },
    { 300, 153, 25 },
    { 320, 96, 15 },
    { 332, 33, 5 },
    { 0, 0, -180 },
    { 332, -33, -5 },
    { 320, -96, -15 },
    { 300, -153, -25 },
    { 274, -200, -35 },
    { 241, -238, -45 },
    { 200, -267, -65 },
    { 152, -278, -90 },
    { 0, 0, -180 },
    { -298, -278, -90 },
    { -347, -267, -115 },
    { -388, -238, -135 },
    { -420, -200, -145 },
    { -447, -153, -155 },
    { -467, -96, -165 },
    { -478, -33, -175 },
    { 0, 0, -180 },
    { -478, 33, 175 },
    { -467, 96, 165 },
    { -447, 153, 155 },
    { -420, 200, 145 },
    { -388, 238, 135 },
    { -347, 267, 115 },
    { -298, 278, 90 },
    { 0, 0, -180 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t powerbot_params = 
{
  0,
  0,
  0,
  0.001534,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.00373,
  0,
  0.5813,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  1,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  "",
  "COM2",
  0,
  1,
  0,
  251,
  0,
  0,
  "0",
  0,
  360,
  0,
  0,
  2000,
  0,
  0,
  0,
  0,
  7,
  5,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  240,
  911,
  369,
  542,
  550,
  680,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  32,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "powerbot",
  0,
  38400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  20,
  1,
  0,
  {
    { 152, 278, 90 },
    { 200, 267, 65 },
    { 241, 238, 45 },
    { 274, 200, 35 },
    { 300, 153, 25 },
    { 320, 96, 15 },
    { 332, 33, 5 },
    { 0, 0, -180 },
    { 332, -33, -5 },
    { 320, -96, -15 },
    { 300, -153, -25 },
    { 274, -200, -35 },
    { 241, -238, -45 },
    { 200, -267, -65 },
    { 152, -278, -90 },
    { 0, 0, -180 },
    { -298, -278, -90 },
    { -347, -267, -115 },
    { -388, -238, -135 },
    { -420, -200, -145 },
    { -447, -153, -155 },
    { -467, -96, -165 },
    { -478, -33, -175 },
    { 0, 0, -180 },
    { -478, 33, 175 },
    { -467, 96, 165 },
    { -447, 153, 155 },
    { -420, 200, 145 },
    { -388, 238, 135 },
    { -347, 267, 115 },
    { -298, 278, 90 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t psos1m_params = 
{
  0,
  0,
  0,
  0.0061359,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.00333333,
  0,
  0.05066,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "",
  "",
  0,
  1,
  0,
  0,
  0,
  0,
  "0",
  0,
  100,
  0,
  0,
  400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0.1734,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  90,
  500,
  0,
  0,
  220,
  400,
  0,
  0,
  100,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  7,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "psos1m",
  0,
  0,
  0,
  0,
  0,
  400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  4,
  2.5332,
  0,
  {
    { 100, 100, 90 },
    { 120, 80, 30 },
    { 130, 40, 15 },
    { 130, 0, 0 },
    { 130, -40, -15 },
    { 120, -80, -30 },
    { 100, -100, -90 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t psos1x_params = 
{
  0,
  0,
  0,
  0.0061359,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.00333333,
  0,
  0.05066,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "",
  "",
  0,
  1,
  0,
  0,
  0,
  0,
  "0",
  0,
  100,
  0,
  0,
  400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0.1734,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  90,
  500,
  0,
  0,
  220,
  400,
  0,
  0,
  100,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  7,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "psos1x",
  0,
  0,
  0,
  0,
  0,
  400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  4,
  2.5332,
  0,
  {
    { 100, 100, 90 },
    { 120, 80, 30 },
    { 130, 40, 15 },
    { 130, 0, 0 },
    { 130, -40, -15 },
    { 120, -80, -30 },
    { 100, -100, -90 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t psos43m_params = 
{
  0,
  0,
  0,
  0.0061359,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.00333333,
  0,
  0.05066,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "",
  "",
  0,
  1,
  0,
  0,
  0,
  0,
  "0",
  0,
  100,
  0,
  0,
  400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0.1734,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  90,
  500,
  0,
  0,
  220,
  400,
  0,
  0,
  100,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  7,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "psos43m",
  0,
  0,
  0,
  0,
  0,
  400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  4,
  2.5332,
  0,
  {
    { 100, 100, 90 },
    { 120, 80, 30 },
    { 130, 40, 15 },
    { 130, 0, 0 },
    { 130, -40, -15 },
    { 120, -80, -30 },
    { 100, -100, -90 },
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t wheelchair_sh_params = 
{
  0,
  0,
  0,
  0.001534,
  0,
  0,
  "Pioneer",
  0,
  0,
  0.00373,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1.626,
  1,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  "",
  "COM2",
  1,
  1,
  0,
  -418,
  0,
  0,
  "0",
  0,
  360,
  0,
  0,
  2000,
  0,
  0,
  0,
  0,
  4,
  3,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  1,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  300,
  1340,
  0,
  0,
  550,
  680,
  0,
  0,
  0,
  0,
  0,
  1,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  "wheelchair-sh",
  0,
  38400,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  0,
  20,
  1,
  0,
  {
  },
  {
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
    { 0, 0, 0, 0, 0 },
  }
};

RobotParams_t PlayerRobotParams[PLAYER_NUM_ROBOT_TYPES];

void
initialize_robot_params(void)
{
  PlayerRobotParams[0] =  amigo_sh_params;
  PlayerRobotParams[1] =  amigo_params;
  PlayerRobotParams[2] =  p2at_params;
  PlayerRobotParams[3] =  p2at8plus_params;
  PlayerRobotParams[4] =  p2at8_params;
  PlayerRobotParams[5] =  p2ce_params;
  PlayerRobotParams[6] =  p2d8plus_params;
  PlayerRobotParams[7] =  p2d8_params;
  PlayerRobotParams[8] =  p2de_params;
  PlayerRobotParams[9] =  p2df_params;
  PlayerRobotParams[10] =  p2dx_params;
  PlayerRobotParams[11] =  p2it_params;
  PlayerRobotParams[12] =  p2pb_params;
  PlayerRobotParams[13] =  p2pp_params;
  PlayerRobotParams[14] =  p3at_sh_params;
  PlayerRobotParams[15] =  p3at_params;
  PlayerRobotParams[16] =  p3atiw_sh_params;
  PlayerRobotParams[17] =  p3dx_sh_params;
  PlayerRobotParams[18] =  p3dx_params;
  PlayerRobotParams[19] =  patrolbot_sh_params;
  PlayerRobotParams[20] =  peoplebot_sh_params;
  PlayerRobotParams[21] =  perfpbplus_params;
  PlayerRobotParams[22] =  perfpb_params;
  PlayerRobotParams[23] =  pion1m_params;
  PlayerRobotParams[24] =  pion1x_params;
  PlayerRobotParams[25] =  pionat_params;
  PlayerRobotParams[26] =  powerbot_sh_params;
  PlayerRobotParams[27] =  powerbot_params;
  PlayerRobotParams[28] =  psos1m_params;
  PlayerRobotParams[29] =  psos1x_params;
  PlayerRobotParams[30] =  psos43m_params;
  PlayerRobotParams[31] =  wheelchair_sh_params;
}
